import { ElementRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
export declare class BbDropdown {
    private _elementRef;
    visible$: BehaviorSubject<boolean>;
    constructor(_elementRef: ElementRef);
    toggle(): void;
    close(): void;
    onDocumentClick(target: HTMLElement): void;
}
export declare class BbDropdownItem {
    private _parent;
    closeOnClick: boolean;
    constructor(_parent: BbDropdown);
    onClick(): void;
}
